package com.cftech.sys.dao;

import com.cftech.core.generic.GenericDao;
import com.cftech.core.sql.Conds;
import com.cftech.sys.model.User;
import com.cftech.sys.model.UserAuth;
import org.apache.poi.ss.formula.functions.T;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * userMapper
 * Created by lisw 25/09/2016.
 */
public interface UserMapper extends GenericDao<User> {
	
	int clearUserRole(Long userId);

	int saveBatchRole(Map<String, Object> params);

	User fetchStoreUserById(Long id);//获取用户门店

	User fetchByQyuserId(Long qyUserId);

	UserAuth fetchAuthById(Serializable id);

	List<User> fetchoruserBycond(Map<String, Object> params);
}
